View Issue Details

IDProjectCategoryView StatusLast Update
0000618filegeneralpublic2017-05-28 04:01
Reportercxr29 
Assigned ToChristos Zoulas 
PriorityimmediateSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.31 
Target VersionFixed in VersionHEAD 
Summary0000618: byte is numeric, but some magic entries were character
Descriptioni.e. Magdir/animation

# http://www.ftyps.com/ with local additions
4 string ftyp ISO Media
# http://aeroquartet.com/wordpress/2016/03/05/3-xavc-s/
>8 string XAVC \b, MPEG v4 system, Sony XAVC Codec
>>96 string x \b, Audio "%.4s"
>>118 beshort x at %dHz
>>140 string x \b, Video "%.4s"
>>168 beshort x %d
>>170 beshort x \bx%d
>8 string 3g2 \b, MPEG v4 system, 3GPP2
!:mime video/3gpp2
>>11 byte 4 \b v4 (H.263/AMR GSM 6.10)
>>11 byte 5 \b v5 (H.263/AMR GSM 6.10)
>>11 byte 6 \b v6 (ITU H.264/AMR GSM 6.10)
>>11 byte a \b C.S0050-0 V1.0
>>11 byte b \b C.S0050-0-A V1.0.0
>>11 byte c \b C.S0050-0-B V1.0
TagsNo tags attached.

Relationships

Activities

Christos Zoulas

Christos Zoulas

2017-05-25 21:02

manager   ~0001523

Fixed, thanks!
cxr29

cxr29

2017-05-26 02:02

reporter   ~0001528

fix not ok, some is numeric, but some is ascii character's value.
.i.e
a is 0x61 not 0xa
4 is 0x34 not 0x4
cxr29

cxr29

2017-05-26 02:07

reporter   ~0001529

add type char may be more more expressive.
Christos Zoulas

Christos Zoulas

2017-05-26 02:12

manager   ~0001530

Where is the format documented (which values are what)?
thanks,
cxr29

cxr29

2017-05-26 02:31

reporter   ~0001531

troublesome, one example below, other 1-byte may be incorrect.

http://www.3gpp2.org/Public_html/Specs/C.S0050-B_v1.0_070521.pdf
 8.1.1 File identification

CompatibleBrands: A list of brand identifiers (to the end of the Box). '3g2c' shall be a
member of this list. ‘3g2a’ and ‘3g2b’ shall also be members of this list if the file is in
conformance with release 0 and/or release A of this specification. The brand
compatibility list shall include major brands '3gp4', '3gp5' and/or '3gp6' as described in
[5] when the file content meets the conditions described therein. Brands shall not be
placed in the compatibility list if playback is not possible given the applicable methods.
See Annex A.3 for additional information.
Christos Zoulas

Christos Zoulas

2017-05-26 14:33

manager   ~0001533

thanks, fixed. Perhaps I will add "char" in the future, or allow 'c' as a character constant. For now it is simpler to add a comment and the hex value :-)

Issue History

Date Modified Username Field Change
2017-05-25 06:54 cxr29 New Issue
2017-05-25 21:01 Christos Zoulas Assigned To => Christos Zoulas
2017-05-25 21:01 Christos Zoulas Status new => assigned
2017-05-25 21:02 Christos Zoulas Status assigned => resolved
2017-05-25 21:02 Christos Zoulas Resolution open => fixed
2017-05-25 21:02 Christos Zoulas Fixed in Version => HEAD
2017-05-25 21:02 Christos Zoulas Note Added: 0001523
2017-05-26 02:02 cxr29 Status resolved => feedback
2017-05-26 02:02 cxr29 Resolution fixed => reopened
2017-05-26 02:02 cxr29 Note Added: 0001528
2017-05-26 02:07 cxr29 Note Added: 0001529
2017-05-26 02:07 cxr29 Status feedback => assigned
2017-05-26 02:12 Christos Zoulas Note Added: 0001530
2017-05-26 02:31 cxr29 Note Added: 0001531
2017-05-26 14:33 Christos Zoulas Note Added: 0001533
2017-05-28 04:01 Christos Zoulas Status assigned => resolved
2017-05-28 04:01 Christos Zoulas Resolution reopened => fixed